import random

def calculate_average(scores: list[int]) -> float:
    return sum(scores)/len(scores)


def display_player_avg_score(player_name: str, scores: list[int]) -> str:
    average_score = calculate_average(scores)
    return f"Player: {player_name} | Average Score: {average_score}"


def main() -> None:
    MAX_SCORE = 100
    MIN_SCORE = 0
    N_SCORES = 4
    player_names = ["Thanos", "Loki", "Venom", "Magneto"]

    drng = random.Random(42)

    player_scores = {}

    for name in player_names:
        player_scores[name] = [drng.randrange(MIN_SCORE, MAX_SCORE) for _ in range(N_SCORES)]

    for (name, scores) in player_scores.items():
        print(display_player_avg_score(name, scores))
        

if __name__ == "__main__":
    main()